<?php

global $user;

/*
*  fires theme settings
*
**/

$theme_path = drupal_get_path('theme','pannelli');
$theme_absolute_path = url(drupal_get_path('theme','pannelli'),array('absolute'=>TRUE));

  
/**
 * show grid overlay
 */

if(theme_get_setting('pannelli_overlay') && user_access('Access administration pages')){
    
   // pass the path variables to javascript
   drupal_add_js(
      array(
        'pannelli' => array(
          'pannelli_overlay_path'  => $theme_absolute_path.'/js/libraries/960overlay/images/'
        )
      ),
      array('type' => 'setting')
    );
    
    drupal_add_js($theme_path.'/js/libraries/960overlay/overlay.js');
    drupal_add_js($theme_path.'/js/libraries/960overlay/gridoverlay.js');
}


/**
* load modernizr through cdn
*
**/

if(theme_get_setting('pannelli_modernizr')){
  drupal_add_js('http://cdnjs.cloudflare.com/ajax/libs/modernizr/2.0.6/modernizr.min.js','external');
}


/**
* load formalize
*
**/


if(theme_get_setting('pannelli_formalize')){
  drupal_add_css($theme_path.'/js/libraries/formalize/css/formalize.css', array('group'=>CSS_THEME));
  drupal_add_js($theme_path.'/js/libraries/formalize/js/formalize.js');
}


/**
 * choose reset css type
 */

switch (theme_get_setting('pannelli_reset')) {
  case 0:
  drupal_add_css($theme_path.'/css/reset/normalize.css', array('group'=>CSS_SYSTEM,'weight'=>-50));
  break;
  
  case 1:
  drupal_add_css($theme_path.'/css/reset/reset.css', array('group'=>CSS_SYSTEM,'weight'=>-50));

}
